Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/servicecatalog/postapi-v-1-workspaces-workspace-id-catalogue-items

# Create catalogue item

POST `https://{tenant}.atomicwork.com/api/v1/workspaces/{workspaceId}/catalogue/items`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### workspaceId (path, integer, required)

The workspace ID

## Body

#### name (body, string, required)

#### description (body, string)

#### image (body, integer)

#### tags (body, array of string)

#### is\_active (body, boolean)

#### is\_public (body, boolean)

#### user\_segments (body, array of integer, required)

#### category\_id (body, integer)

#### theme (body, integer)

#### is\_default (body, boolean)

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X POST 'https://{tenant}.atomicwork.com/api/v1/workspaces/{workspaceId}/catalogue/items' \
  -H 'X-Api-Key: <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{"name": "string", "description": "string", "image": 0, "tags": ["string"], "is_active": true, "is_public": true, "user_segments": [0], "category_id": 0, "theme": 0, "is_default": true}'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/workspaces/{workspaceId}/catalogue/items', {
  method: 'POST',
  headers: {
    'X-Api-Key': '<api-key>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"name": "string", "description": "string", "image": 0, "tags": ["string"], "is_active": true, "is_public": true, "user_segments": [0], "category_id": 0, "theme": 0, "is_default": true}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://{tenant}.atomicwork.com/api/v1/workspaces/{workspaceId}/catalogue/items',
    headers={'X-Api-Key': '<api-key>'},
    json={"name": "string", "description": "string", "image": 0, "tags": ["string"], "is_active": true, "is_public": true, "user_segments": [0], "category_id": 0, "theme": 0, "is_default": true}
)
data = res.json()
```
